---
title: Composer Project Drupal 10
repo: https://gitlab.lakedrops.com/composer/project/drupal-10
issues: https://gitlab.lakedrops.com/composer/project/drupal-10/-/issues
tags:
- composer
---
# Create new project for local development

There are two ways to use this Drupal 10 project template.

## By Composer

- [Install composer](https://getcomposer.org): `sudo wget https://getcomposer.org/composer.phar --output-document=/usr/local/bin/composer && sudo chmod +x /usr/local/bin/composer`
- Disable XDebug for CLI - optional: `sudo phpdismod -s cli xdebug`
- [Install Prestissimo](https://github.com/hirak/prestissimo) - optional: `sudo composer global require "hirak/prestissimo:^0.3"`

```bash
composer create-project lakedrops/d10-project [DIRNAME] --no-interaction --no-dev
composer update
cd [DIRNAME]
```

## By L3D

We **strongly recommend** to it this way. Just install [L3D](../../../docker/l3d/index.md) and things are going much easier.

- Create an empty directory, where you want to locate your project, like `mkdir drupal10`
- go into this directory and execute:

```bash
l3d
Name your project (used as subdomain): [drupal10]
```

Enter a name or press `Enter` to use the name of the directory.

```bash
Lets start a new project here ...

Options to start:
    0   none: start with an empty container
    1   LakeDrops Drupal 11 project template
    2   LakeDrops Drupal 10 project template
    3   drupal.org recommended project template (Drupal 11)
    4   drupal.org recommended project template (Drupal 10)
    5   Drupal's community project template (Drupal 11)
    6   Drupal's community project template (Drupal 10)
    7   Custom project template
    8   Existing git repository


Choose an option:
```
Just select the `LakeDrops Drupal 10 Project Template` and you are ready to go. `L3D` cares about the initial setup.

This will build the full structure and create a git repository which you can then use during the full live-cycle of that project.

To install a new site with the included default configuration, use `drush site-install --existing-config` and you get a jump-start from that.

# Deploy project to upstream stages

For deployment, both initially and for later updates, follow this:

```
mkdir /PATH/TO/ROOT
cd /PATH/TO/ROOT
git clone YOUR-GIT-REPOSITORY .
composer install
```

# Adding new and updating existing components

Edit the composer.json file according to your requirements and then run `composer update`.

# Links

[Using Composer to install Drupal packages through Drupal.org](https://www.drupal.org/node/2718229)
